# Uses of Interface
org.eclipse.ui.navigator.ICommonViewerSite

Packages that use ICommonViewerSite
Package
Description
org.eclipse.ui.navigator
Provides the Common Navigator framework.

## Uses of ICommonViewerSite in org.eclipse.ui.navigator

Subinterfaces of ICommonViewerSite in org.eclipse.ui.navigator
Modifier and Type
Interface
Description
`interface`
`ICommonViewerWorkbenchSite`
Provides a page, set of action bars, menu registration callback, and active window.
Methods in org.eclipse.ui.navigator that return ICommonViewerSite
Modifier and Type
Method
Description
`static ICommonViewerSite`
CommonViewerSiteFactory.`createCommonViewerSite(String anId, ISelectionProvider aSelectionProvider, Shell aShell)`
`static ICommonViewerSite`
CommonViewerSiteFactory.`createCommonViewerSite(String anId, IPageSite aPageSite)`
`ICommonViewerSite`
ICommonActionExtensionSite.`getViewSite()`
Constructors in org.eclipse.ui.navigator with parameters of type ICommonViewerSite
Modifier
Constructor
Description
``
`NavigatorActionService(ICommonViewerSite aCommonViewerSite, StructuredViewer aStructuredViewer, INavigatorContentService aContentService)`